using C1.Silverlight.DataGrid;

namespace C1DataGrid_Demo2010
{
    public partial class FilterRow : System.Windows.Controls.UserControl
    {
        public FilterRow()
        {
            InitializeComponent();

            DataContext = Data.GetProducts();
        }

        private void grid_AutoGeneratingColumn(object sender, DataGridAutoGeneratingColumnEventArgs e)
        {
            // invoke common auto-generation handling for all the samples
            Common.HandleColumnAutoGeneration(e);
            if (e.Property.Name == "ImageUrl")
            {
                e.Cancel = true;
            }
        }
    }
}
